Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-2270

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2005-2270
Last Modified 07 Mar 2011 09:24:00
Published 13 Jul 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-2270

Summary

Firefox before 1.0.5 and Mozilla before 1.7.9 does not properly clone base objects, which allows remote attackers to execute arbitrary code by navigating the prototype chain to reach a privileged object.

Vulnerable Systems

Application

  • Mozilla 1.3

  • Mozilla 1.4

  • Mozilla 1.4.1

  • Mozilla 1.5

  • Mozilla 1.5.1

  • Mozilla 1.6

  • Mozilla 1.7

  • Mozilla 1.7.1

  • Mozilla 1.7.2

  • Mozilla 1.7.3

  • Mozilla 1.7.5

  • Mozilla 1.7.6

  • Mozilla 1.7.7

  • Mozilla 1.7.8

  • Mozilla Firefox 0.10

  • Mozilla Firefox 0.10.1

  • Mozilla Firefox 0.8

  • Mozilla Firefox 0.9

  • Mozilla Firefox 0.9.1

  • Mozilla Firefox 0.9.2

  • Mozilla Firefox 0.9.3

  • Mozilla Firefox 1.0

  • Mozilla Firefox 1.0.1

  • Mozilla Firefox 1.0.2

  • Mozilla Firefox 1.0.3

  • Mozilla Firefox 1.0.4


References

CERT-VN - VU#652366

CONFIRM - http://www.mozilla.org/security/announce/mfsa2005-56.html

MISC - https://bugzilla.mozilla.org/show_bug.cgi?id=296397

MISC - https://bugzilla.mozilla.org/show_bug.cgi?id=295011

MISC - https://bugzilla.mozilla.org/show_bug.cgi?id=294799

MISC - https://bugzilla.mozilla.org/show_bug.cgi?id=294795

VUPEN - ADV-2005-1075

SUSE - SUSE-SA:2006:004

FEDORA - FLSA:160202

BID - 14242

REDHAT - RHSA-2005:601

REDHAT - RHSA-2005:587

REDHAT - RHSA-2005:586

SUSE - SUSE-SA:2006:022

SUSE - SUSE-SA:2005:045

SUSE - SUSE-SR:2005:018

DEBIAN - DSA-810

CIAC - P-252

SECTRACK - 1014470

SECUNIA - 19823

SECUNIA - 16059

SECUNIA - 16043


Last Updated: 27 May 2016 10:40:28